Package org.eclipse.jgit.revwalk

## Class RenameCallback

- java.lang.Object
- - org.eclipse.jgit.revwalk.RenameCallback

    public abstract class RenameCallback
    extends Object

An instance of this class can be used in conjunction with a `FollowFilter`. Whenever a rename has been detected during a revision walk, it will be reported here.

See Also:
  `FollowFilter.setRenameCallback(RenameCallback)`

### Constructor Summary

Constructors
`RenameCallback()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `renamed​(DiffEntry entry)` Called whenever a diff was found that is actually a rename or copy of a file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenameCallback

    public RenameCallback()

### Method Detail

#### renamed

    public abstract void renamed​(DiffEntry entry)

Called whenever a diff was found that is actually a rename or copy of a file.

Parameters:
  `entry` - the entry representing the rename/copy